%global srcname catkin_tools
%global sum Command line tools for working with catkin

Name:           python-%{srcname}
Version:        0.4.4
Release:        7%{?dist}
Summary:        %{sum}

Group:          Development/Tools
License:        ASL 2.0
URL:            http://catkin-tools.readthedocs.org
Source0:        https://github.com/catkin/%{srcname}/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Provides command line tools for working with catkin

%package doc
Summary:        HTML documentation for %{srcname}

BuildRequires:  python-sphinx

%description doc
HTML documentation for %{srcname}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  cmake
BuildRequires:  python2-devel
BuildRequires:  python2-osrf-pycommon >= 0.1.1
BuildRequires:  python2-mock
BuildRequires:  python2-nose
BuildRequires:  python2-pyparsing
BuildRequires:  python2-setuptools
BuildRequires:  python-catkin_pkg >= 0.2.9
BuildRequires:  python-trollius
BuildRequires:  PyYAML
Requires:       cmake
Requires:       make
Requires:       python2-osrf-pycommon >= 0.1.1
Requires:       python2-setuptools
Requires:       python-catkin_pkg >= 0.2.9
Requires:       python-trollius
Requires:       PyYAML
Recommends:     %{name}-doc = %{version}-%{release}

%description -n python2-%{srcname}
Provides command line tools for working with catkin

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  cmake
BuildRequires:  python3-catkin_pkg >= 0.2.9
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-osrf-pycommon >= 0.1.1
BuildRequires:  python3-pyparsing
BuildRequires:  python3-trollius
BuildRequires:  python3-PyYAML
Requires:       cmake
Requires:       make
Requires:       python3-catkin_pkg >= 0.2.9
Requires:       python3-osrf-pycommon >= 0.1.1
Requires:       python3-setuptools
Requires:       python3-trollius
Requires:       python3-PyYAML
Recommends:     %{name}-doc = %{version}-%{release}
Conflicts:      python2-%{srcname} < 0.4.4-7

%description -n python3-%{srcname}
Provides command line tools for working with catkin

%prep
%autosetup -p 1 -n %{srcname}-%{version}

mkdir -p tmpbin2
mkdir -p tmpbin3

# upstream should care about code formatting, not us
# (got plenty of errors)
rm tests/test_code_format.py

%build
%py2_build
%py3_build

make -C docs html man
rm -f docs/_build/html/.buildinfo


%install
%py2_install
mv %{buildroot}%{_bindir}/* tmpbin2/

%py3_install
cp %{buildroot}%{_bindir}/* tmpbin3/

install -p -m0644 -D docs/_build/man/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1

# Removed the installed test
rm -rf %{buildroot}%{python2_sitelib}/tests
rm -rf %{buildroot}%{python3_sitelib}/tests

# Fix the install location of the bash completion scripts
install -d %{buildroot}%{_datadir}/bash-completion/completions/
mv %{buildroot}/etc/bash_completion.d/%{srcname}-completion.bash %{buildroot}%{_datadir}/bash-completion/completions/catkin

%check
# Many tests require catkin itself, which isn't packaged in Fedora
%global exclude_tests \\\
  -e 'test_build_*' \\\
  -e 'test_profile_*' \\\
  -e 'test_init_local_empty_src' \\\
  -e 'test_catkin_build_with_*' \\\
  -e 'test_cmake_args' \\\
  %{nil}

PYTHONPATH=%{buildroot}%{python2_sitelib} PATH=`pwd`/tmpbin2:$PATH nosetests-%{python2_version} -w tests %{exclude_tests}
PYTHONPATH=%{buildroot}%{python3_sitelib} PATH=`pwd`/tmpbin3:$PATH nosetests-%{python3_version} -w tests %{exclude_tests}

%files doc
%doc docs/_build/html
%license LICENSE

%files -n python2-%{srcname}
%doc README.md
%license LICENSE
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{_datadir}/zsh/site-functions/_catkin
%{_datadir}/bash-completion/

%files -n python3-%{srcname}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{_bindir}/catkin
%{_mandir}/man1/%{srcname}.1.*
%{_datadir}/zsh/site-functions/_catkin
%{_datadir}/bash-completion/

%changelog
* Wed Aug 01 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4.4-7
- Only one /usr/bin/catkin

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4.4-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Apr 09 2017 Rich Mattes <richmattes@gmail.com> - 0.4.4-1
- Update to release 0.4.4 (rhbz#1411058)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.2-2
- Rebuild for Python 3.6

* Sun Sep 18 2016 Scott K Logan <logans@cottsay.net> 0.4.2-1
- Update to release 0.4.2 (rhbz#1328284)
- Update to latest packaging guidelines
- Split off doc package

* Sun Sep 18 2016 Scott K Logan <logans@cottsay.net> - 0.3.1-3
- Fix bash completion installation location (rhbz#1375604)

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun Feb 21 2016 Rich Mattes <richmattes@gmail.com> - 0.3.1-1
- Update to release 0.3.1 (rhbz#1293318)
- Fix rawhide FTBFS (rhbz#1307897)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 02 2015 Scott K Logan <logans@cottsay.net> - 0.3.0-3
- Add upstream patch for newer versions of flake8

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sat Jul 04 2015 Scott K Logan <logans@cottsay.net> - 0.3.0-1
- Update to 0.3.0
- Add Requires: cmake make (RHBZ#1227816)
- Update to latest packaging guidelines

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Oct 22 2014 Scott K Logan <logans@cottsay.net> - 0.2.0-2
- Add upstream terminal width patch to enable tests

* Sat Oct 18 2014 Scott K Logan <logans@cottsay.net> - 0.2.0-1
- Update to 0.2.0
- Add python3 package
- Exclude new test_build_* tests because they require catkin
- Disable buildfarm testing (https://github.com/catkin/catkin_tools/issues/122)

* Tue Jun 10 2014 Scott K Logan <logans@cottsay.net> - 0.1.0-1
- Initial package
